﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;

namespace TabControl_WPF_MVVM_UserControls
{
    public class MainViewModel
    {
        public ObservableCollection<TabItem> TabItems { get; set; }

        public MainViewModel()
        {
            this.TabItems = new ObservableCollection<TabItem>();

            this.TabItems.Add(new TabItem() { Header = "Tab 1", AddTabItemCommand = new DelegateCommand(new Action<object>(p => this.AddItemExecute(p))) });
        }
 
        private void AddItemExecute(object p)
        {
            this.TabItems.Add(new TabItem() { Header = "Added by " + p.ToString() });
        }
    }
}
